Last modified: 2014-08-27 15:57:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60719 - On-request job queue handling needs RELEASE NOTES mention
On-request job queue handling needs RELEASE NOTES mention
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
JobQueue (Other open bugs)
1.22.0
All All
: High normal (vote)
: ---
Assigned To: Mark A. Hershberger
https://www.mediawiki.org/wiki/Releas...
: easy
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-02-01 11:58 UTC by Jesús Martínez Novo (Ciencia Al Poder)
Modified: 2014-08-27 15:57 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---
martineznovo: Backport_to_Stable+


Attachments

Description Jesús Martínez Novo (Ciencia Al Poder) 2014-02-01 11:58:40 UTC
Gerrit change #59797 was merged without a single mention in RELEASE NOTES, and introduced a change in how Jobs are handled on each request, causing quite some trouble to various installations.

It shouldn't have been merged without a RELEASE NOTES entry in the first place, so let's fix this ASAP.

I've tried my best to document that feature in mediawiki.org[1], so please feel free to also improve the documentation.

----

[1] https://www.mediawiki.org/wiki/Manual:Job_queue#Changes_introduced_in_MediaWiki_1.22
Comment 1 Markus Glaser 2014-02-01 12:04:56 UTC
I don't see where this change was merged into the REL1_22 branch. So is this a question for master instead of the release?
Comment 2 Bartosz Dziewoński 2014-02-01 12:08:27 UTC
It was merged before the release, ergo it's included in it. You can click "Included in" on gerrit to see all branches that include a change.
Comment 3 Jesús Martínez Novo (Ciencia Al Poder) 2014-02-01 12:10:22 UTC
I don't know where it was merged into REL1_22, maybe the REL1_22 was created after it was merged, but I can assure you it's implemented in 1.22.

Changing summary anyway, since backport to stable is sufficient to track the merge in 1.22
Comment 4 Kevin Israel (PleaseStand) 2014-02-03 16:24:05 UTC
I would be inclined to revert the change, or at least make the old behavior the default (by adding a new setting that defaults to false).

Assuming that the PHP binary that $wgPhpCli points to can actually run MediaWiki (in the absence of an installer check), and also not logging failures (how can you with background execution?), is unacceptable.
Comment 5 Aaron Schulz 2014-02-28 05:51:19 UTC
This was all redone a second time in https://gerrit.wikimedia.org/r/#/c/113038/ with one more follow up in https://gerrit.wikimedia.org/r/#/c/116058/ to shore up some edge cases.
Comment 6 Nemo 2014-02-28 20:24:58 UTC
(In reply to Aaron Schulz from comment #5)
> This was all redone a second time in
> https://gerrit.wikimedia.org/r/#/c/113038/ with one more follow up in
> https://gerrit.wikimedia.org/r/#/c/116058/ to shore up some edge cases.

Redone? And we only have three lines in release notes? https://gerrit.wikimedia.org/r/#/c/113038/15/RELEASE-NOTES-1.23
The 1.22 changes required about a screenful of release notes published on the wiki after the fact, I'm quite sure that won't be enough. Should those changes be backported, so that people don't also have to redo their adjustments and fixes and will have to meet only one new job queue system if they upgrade straight from 1.21- to 1.22.x?
Comment 7 Gerrit Notification Bot 2014-05-08 12:08:29 UTC
Change 132190 had a related patch set uploaded by MarkAHershberger:
Add release notes for JobQueue changes in 1.22.

https://gerrit.wikimedia.org/r/132190
Comment 8 Mark A. Hershberger 2014-06-21 19:57:53 UTC
Removing target milestone that was in the past.

If you want this in a specific release, have a good reason AND you are willing to find resources to fix this bug, feel free to change it to something appropriate.
Comment 9 Gerrit Notification Bot 2014-08-26 21:21:33 UTC
Change 132190 merged by jenkins-bot:
Add release notes for JobQueue changes in 1.22.

https://gerrit.wikimedia.org/r/132190

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links